package dao

import (
	"testing"
	"time"

	"git.rosy.net.cn/baseapi/utils"
)

func TestGetAfsOrderSkuInfo(t *testing.T) {
	//afsSkus, err := GetAfsOrderSkuInfo(GetDB(), "", "", 0)
	//if err == nil {
	//	t.Fatal("应该要报错")
	//}
	//afsSkus, err = GetAfsOrderSkuInfo(GetDB(), "", "23148482", 0)
	//if err != nil {
	//	t.Fatal(err)
	//}
	//afsSkus, err = GetAfsOrderSkuInfo(GetDB(), "916829559000841", "", 0)
	//if err != nil {
	//	t.Fatal(err)
	//}
	//globals.SugarLogger.Debug(utils.Format4Output(afsSkus, false))
}

func TestGetStoreOrderSkuList(t *testing.T) {
	skuList, err := GetStoreOrderSkuList(GetDB(), []int{100118}, time.Now().Add(-30*time.Hour), time.Now(), nil, false, 1)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(skuList, false))

	afsSkuList, err := GetStoreOrderSkuList(GetDB(), []int{100118}, time.Now().Add(-30*time.Hour), time.Now(), nil, false, 1)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(afsSkuList, false))

}

func TestGetPendingFakeOrders(t *testing.T) {
	orderList, err := GetPendingFakeOrders(GetDB(), nil, time.Now().Add(-48*time.Hour), time.Now().Add(-30*time.Minute))
	if err != nil {
		t.Fatal(err)
	}
	t.Log(len(orderList))
}

func TestGetJxOrderSeq(t *testing.T) {
	count, err := GetJxOrderCount(GetDB(), 100118, "23423", time.Now())
	if err != nil {
		t.Fatal(err)
	}
	t.Log(count)
}
